import { Command, Node } from '@tiptap/core';
export interface CodeBlockOptions {
    languageClassPrefix: string;
    HTMLAttributes: Record<string, any>;
}
declare module '@tiptap/core' {
    interface Commands {
        codeBlock: {
            /**
             * Set a code block
             */
            setCodeBlock: (attributes?: {
                language: string;
            }) => Command;
            /**
             * Toggle a code block
             */
            toggleCodeBlock: (attributes?: {
                language: string;
            }) => Command;
        };
    }
}
export declare const backtickInputRegex: RegExp;
export declare const tildeInputRegex: RegExp;
export declare const CodeBlock: Node<CodeBlockOptions>;
